Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.nortel.soa.oi.opennetworking.types
Class ReserveCDNLandingPadRequestType

    java.lang.Object
      com.nortel.soa.oi.opennetworking.types.ReserveCDNLandingPadRequestType

    public class ReserveCDNLandingPadRequestType

extends java.lang.Object

Java class for ReserveCDNLandingPadRequestType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ReserveCDNLandingPadRequestType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="contactGUID" type="{http://www.nortel.com/soa/oi/cct/types}contactGUID"/>
             <element name="destinationCDN" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="contactData" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="intrinsics" type="{http://www.nortel.com/soa/oi/cct/types}intrinsicArray" minOccurs="0"/>
             <element name="reasonCode" type="{http://www.nortel.com/soa/oi/cct/types}openNetReason"/>
             <element name="authentication" type="{http://www.nortel.com/soa/oi/cct/types}authentication"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

Constructor Summary
`ReserveCDNLandingPadRequestType()`

Method Summary
`Authentication` | `getAuthentication()` Gets the value of the authentication property.
`java.lang.String` | `getContactData()` Gets the value of the contactData property.
`ContactGUID` | `getContactGUID()` Gets the value of the contactGUID property.
`java.lang.String` | `getDestinationCDN()` Gets the value of the destinationCDN property.
`IntrinsicArray` | `getIntrinsics()` Gets the value of the intrinsics property.
`OpenNetReason` | `getReasonCode()` Gets the value of the reasonCode property.
`void` | `setAuthentication(Authentication value)` Sets the value of the authentication property.
`void` | `setContactData(java.lang.String value)` Sets the value of the contactData property.
`void` | `setContactGUID(ContactGUID value)` Sets the value of the contactGUID property.
`void` | `setDestinationCDN(java.lang.String value)` Sets the value of the destinationCDN property.
`void` | `setIntrinsics(IntrinsicArray value)` Sets the value of the intrinsics property.
`void` | `setReasonCode(OpenNetReason value)` Sets the value of the reasonCode property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ReserveCDNLandingPadRequestType

    public ReserveCDNLandingPadRequestType()

Method Detail

### getContactGUID

    public ContactGUID getContactGUID()

  Gets the value of the contactGUID property.

  Returns:
    possible object is `ContactGUID`

### setContactGUID

    public void setContactGUID(ContactGUID value)

  Sets the value of the contactGUID property.

  Parameters:
    `value` - allowed object is `ContactGUID`

### getDestinationCDN

    public java.lang.String getDestinationCDN()

  Gets the value of the destinationCDN property.

  Returns:
    possible object is `String`

### setDestinationCDN

    public void setDestinationCDN(java.lang.String value)

  Sets the value of the destinationCDN property.

  Parameters:
    `value` - allowed object is `String`

### getContactData

    public java.lang.String getContactData()

  Gets the value of the contactData property.

  Returns:
    possible object is `String`

### setContactData

    public void setContactData(java.lang.String value)

  Sets the value of the contactData property.

  Parameters:
    `value` - allowed object is `String`

### getIntrinsics

    public IntrinsicArray getIntrinsics()

  Gets the value of the intrinsics property.

  Returns:
    possible object is `IntrinsicArray`

### setIntrinsics

    public void setIntrinsics(IntrinsicArray value)

  Sets the value of the intrinsics property.

  Parameters:
    `value` - allowed object is `IntrinsicArray`

### getReasonCode

    public OpenNetReason getReasonCode()

  Gets the value of the reasonCode property.

  Returns:
    possible object is `OpenNetReason`

### setReasonCode

    public void setReasonCode(OpenNetReason value)

  Sets the value of the reasonCode property.

  Parameters:
    `value` - allowed object is `OpenNetReason`

### getAuthentication

    public Authentication getAuthentication()

  Gets the value of the authentication property.

  Returns:
    possible object is `Authentication`

### setAuthentication

    public void setAuthentication(Authentication value)

  Sets the value of the authentication property.

  Parameters:
    `value` - allowed object is `Authentication`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 All Rights Reserved.